Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.gen
Interface Generator

All Known Implementing Classes:
  JavaBindingWriter, JavaDefinitionWriter, JavaGeneratorFactory.Writers, JavaServiceWriter, JavaTypeWriter, JavaWriter, NoopGenerator

public interface Generator

This is the interface for all writers. All writers, very simply, must support a write method.

Writer and WriterFactory are part of the Writer framework. Folks who want to use the emitter to generate stuff from WSDL should do 3 things: 1. Write implementations of the Writer interface, one each for PortType, Binding, Service, and Type. These implementations generate the stuff for each of these WSDL types. 2. Write an implementation of the WriterFactory interface that returns instantiations of these Writer implementations as appropriate. 3. Implement a class with a main method (like Wsdl2java) that instantiates an emitter and passes it the WriterFactory implementation

Method Summary
`void` | `generate()` Generate something.

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Generate something.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.